<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>Edit Profile</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form #fedituser="ngForm" (ngSubmit)="fedituser.valid && updateProfile()" novalidate="novalidate">
  <div>
  <div class="heroSection">
    <div class="profileImg" [style.backgroundImage]="'url('+ model.imageUrl +')'">
      <ion-fab-button class="uploadImgBtn" size="small" color="light">
        <ion-icon name="camera"></ion-icon>
      </ion-fab-button>
    </div>
  </div>
  <ion-card>
    <ion-item>
      <ion-icon name="person" slot="start"></ion-icon>
      <ion-input placeholder="Full Name"  [(ngModel)]="model.name" name="name" #name=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fedituser.submitted">
        <div *ngIf="name?.errors?.required">
          This field is required.
        </div>       
     </div>

    <ion-item>
      <ion-icon name="mail" slot="start"></ion-icon>
      <ion-input placeholder="Email" [(ngModel)]="model.email" name="email" #email=ngModel required></ion-input>
    </ion-item>
    <div *ngIf="fedituser.submitted">
        <div *ngIf="email?.errors?.required">
          This field is required.
        </div>       
     </div>

    <ion-item>
      <ion-icon name="call" slot="start"></ion-icon>
      <ion-input placeholder="Mobile Number" disabled [(ngModel)]="model.accountId.mobileNumber" name="mobile" #mobile=ngModel></ion-input>
    </ion-item>

    <ion-item>
      <img src="../../assets/images/cake.png" class="genderIcon" slot="start">
      <ion-datetime display-format="MMM DD, YYYY" placeholder="Date Of Birth" [(ngModel)]="model.dob" name="dob" #dob=ngModel required></ion-datetime>
    </ion-item>
    <div *ngIf="fedituser.submitted">
        <div *ngIf="dob?.errors?.required">
          This field is required.
        </div>       
     </div>
    <ion-item>
      <img src="../../assets/images/gender.png" class="genderIcon" slot="start">
      <ion-select placeholder="Select Gender" interface="popover" [(ngModel)]="model.gender" name="gender" #gender=ngModel required>
        <ion-select-option value="Female">Female</ion-select-option>
        <ion-select-option value="Male" lines="none">Male</ion-select-option>
      </ion-select>
    </ion-item>
    <div *ngIf="fedituser.submitted">
        <div *ngIf="gender?.errors?.required">
          Please select gender.
        </div>     
     </div>

    <ion-item>
      <ion-icon name="home" slot="start"></ion-icon>
      <ion-textarea placeholder="Address" [(ngModel)]="model.address" name="address" #address=ngModel required></ion-textarea>
    </ion-item>
    <div *ngIf="fedituser.submitted">
        <div *ngIf="address?.errors?.required">
          This field is required.
        </div>       
     </div>
  </ion-card>
 


  <div class="addBtnContainer">
    <ion-button expand="block" color="primary" type="submit">Update Profile</ion-button>
  </div>
</div>
</form>


</ion-content>